from django.urls import path
from management import views
from django.contrib.auth import views as auth_views

urlpatterns = [
    path('academic-staff-dashboard/courses-programmes-list', views.showCoursesAcademic, name='courses_academics'),
    path('a--dashboard/courses-programmes-list', views.showCoursesAdmin, name='courses_admin'),
    path('a--dashboard/invoices', views.showInvoicesAdmin, name='invoices_admin'),
    path('a--dashboard/invoices/<str:id>', views.showAdminInvoice, name='show_admin_invoice'),
    path('a--dashboard/invoice/submit', views.allInvoices, name='all_invoices'),
    path('a--dashboard/spreadsheets', views.showAdminSpreadsheets, name='admin_spreadsheets'),
    path('hod-dashboard/spreadsheets', views.showSpreadsheetsHoD, name='hod_spreadsheets'),
    path('dean-dashboard/spreadsheets', views.showSpreadsheetsDean, name='dean_spreadsheets'),
    path('vc-dashboard/spreadsheets', views.showSpreadsheetsVC, name='vc_spreadsheets'),
    path('academic-staff-dashboard/courses-programmes-list/export-csv/<str:id>', views.exportCSVCourse, name='export_csv_course'),
    path('a--dashboard/courses-programmes-list/export-csv/<str:id>', views.exportCSVCourse, name='export_csv_course'),
    path('academic-staff-dashboard/courses-programmes-list/upload/<str:id>', views.uploadCSV, name='upload_csv'),
    path('a--dashboard/courses-programmes-list/upload/<str:id>', views.uploadCSVAdm, name='upload_csv_adm'),
    path('dean-courses', views.showCoursesDean, name='dean_courses'),
    path('vc-courses', views.showCoursesVC, name='vc_courses'),

    path('hod-courses', views.showCoursesHoD, name='hod_courses'),
    path('vc-semesters', views.showSemestersVC, name='vc_semesters'),
    path('dean-semesters', views.showSemestersDean, name='dean_semesters'),
    path('hod-semesters', views.showSemestersHoD, name='hod_semesters'),
    path('vc-semesters/<str:id>/approve', views.approveVC, name='vc_approve'),
    path('dean-semesters/<str:id>/approve', views.approveDean, name='dean_approve'),
    path('hod-semesters/<str:id>/approve', views.approveHoD, name='hod_approve'),
    path('hod-courses/<str:id>/update', views.updateCoursesHoD, name='update_hod_courses'),
    path('hod-courses/add', views.addCourseHoD, name='hod_course'),

    path('undergrad-dashboard/courses', views.showCoursesUnderGrad, name='courses_undergrads'),
    path('undergrad-dashboard/register-course/<int:id>', views.registerCourse, name='register_course'),
    path('undergrad-dashboard/register-course-rain/<int:id>', views.registerCourseRain, name='register_course_rain'),
    path('undergrad-dashboard/registered-courses-list-100l-harmattan', views.showCoursesRegisteredUnderGrad100Harm, name='courses_registered_undergrads_100_harm'),
    path('undergrad-dashboard/registered-courses-list-200l-harmattan', views.showCoursesRegisteredUnderGrad200Harm, name='courses_registered_undergrads_200_harm'),
    path('undergrad-dashboard/registered-courses-list-300l-harmattan', views.showCoursesRegisteredUnderGrad300Harm, name='courses_registered_undergrads_300_harm'),
    path('undergrad-dashboard/registered-courses-list-400l-harmattan', views.showCoursesRegisteredUnderGrad400Harm, name='courses_registered_undergrads_400_harm'),

    path('undergrad-dashboard/registered-courses-list-100l-rain', views.showCoursesRegisteredUnderGrad100Rain, name='courses_registered_undergrads_100_rain'),
    path('a--dashboard/spreadsheet', views.addSpreadsheet, name='spreadsheet'),
]
